Package gov.nasa.gsfc.sscweb.schema

# Class DataRequest

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request
gov.nasa.gsfc.sscweb.schema.LocationRequest
gov.nasa.gsfc.sscweb.schema.DataRequest

public class DataRequest extends LocationRequest
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}LocationRequest"> <sequence> <element name="OutputOptions" type="{http://sscweb.gsfc.nasa.gov/schema}OutputOptions"/> <element name="RegionFilterOptions" type="{http://sscweb.gsfc.nasa.gov/schema}RegionFilterOptions" minOccurs="0"/> <element name="LocationFilterOptions" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilterOptions" minOccurs="0"/> <element name="FormatOptions" type="{http://sscweb.gsfc.nasa.gov/schema}FormatOptions" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected FormatOptions`
  `formatOptions`
  Format options.
  `protected LocationFilterOptions`
  `locationFilterOptions`
  Location filter options.
  `protected OutputOptions`
  `outputOptions`
  Output options.
  `protected RegionFilterOptions`
  `regionFilterOptions`
  Region filter options.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `satellites`

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `bFieldModel, description, timeInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormatOptions`
  `getFormatOptions()`
  Format options.
  `LocationFilterOptions`
  `getLocationFilterOptions()`
  Location filter options.
  `OutputOptions`
  `getOutputOptions()`
  Output options.
  `RegionFilterOptions`
  `getRegionFilterOptions()`
  Region filter options.
  `void`
  `setFormatOptions(FormatOptions value)`
  Sets the value of the formatOptions property.
  `void`
  `setLocationFilterOptions(LocationFilterOptions value)`
  Sets the value of the locationFilterOptions property.
  `void`
  `setOutputOptions(OutputOptions value)`
  Sets the value of the outputOptions property.
  `void`
  `setRegionFilterOptions(RegionFilterOptions value)`
  Sets the value of the regionFilterOptions property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.LocationRequest

  `getSatellites`

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `getBFieldModel, getDescription, getTimeInterval, setBFieldModel, setDescription, setTimeInterval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### outputOptions

    protected OutputOptions outputOptions
    Output options.

  - ### regionFilterOptions

    protected RegionFilterOptions regionFilterOptions
    Region filter options.

  - ### locationFilterOptions

    protected LocationFilterOptions locationFilterOptions
    Location filter options.

  - ### formatOptions

    protected FormatOptions formatOptions
    Format options. Presences indicates that results are to be returned in a file.

- ## Constructor Details

  - ### DataRequest

    public DataRequest()

- ## Method Details

  - ### getOutputOptions

    public OutputOptions getOutputOptions()
    Output options.
    Returns:
      possible object is `OutputOptions`

  - ### setOutputOptions

    public void setOutputOptions(OutputOptions value)
    Sets the value of the outputOptions property.
    Parameters:
      `value` - allowed object is `OutputOptions`
    See Also:
      - `getOutputOptions()`

  - ### getRegionFilterOptions

    public RegionFilterOptions getRegionFilterOptions()
    Region filter options.
    Returns:
      possible object is `RegionFilterOptions`

  - ### setRegionFilterOptions

    public void setRegionFilterOptions(RegionFilterOptions value)
    Sets the value of the regionFilterOptions property.
    Parameters:
      `value` - allowed object is `RegionFilterOptions`
    See Also:
      - `getRegionFilterOptions()`

  - ### getLocationFilterOptions

    public LocationFilterOptions getLocationFilterOptions()
    Location filter options.
    Returns:
      possible object is `LocationFilterOptions`

  - ### setLocationFilterOptions

    public void setLocationFilterOptions(LocationFilterOptions value)
    Sets the value of the locationFilterOptions property.
    Parameters:
      `value` - allowed object is `LocationFilterOptions`
    See Also:
      - `getLocationFilterOptions()`

  - ### getFormatOptions

    public FormatOptions getFormatOptions()
    Format options. Presences indicates that results are to be returned in a file.
    Returns:
      possible object is `FormatOptions`

  - ### setFormatOptions

    public void setFormatOptions(FormatOptions value)
    Sets the value of the formatOptions property.
    Parameters:
      `value` - allowed object is `FormatOptions`
    See Also:
      - `getFormatOptions()`